Bug 133779 - Kernel oopses in i915 module
Kernel oopses in i915 module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-27 08:52 EDT by Trond Eivind Glomsrød
Modified: 2015-01-04 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 04:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2004-09-27 08:52:17 EDT
Description of problem:

The kernel oopses occasionally during normal usage. Not always
noticable as a user, sometimes the computer feels frozen for a while.


(Dell Inspiron 500m - Intel Centrino w/ 855 chipset, Intel graphics )

[drm] Initialized i915 1.1.0 20040405 on minor 0:
[drm] Initialized i915 1.1.0 20040405 on minor 1:
mtrr: base(0xf0020000) is not aligned on a size(0x800000) boundary
Unable to handle kernel NULL pointer dereference at virtual address
00000978
 printing eip:
22b16619
*pde = 00000000
Oops: 0002 [#1]
Modules linked in: i915 parport_pc lp parport autofs4 sunrpc md5 ipv6
ds dm_mod button battery asus_acpi ac joydev hci_usb bluetooth
yenta_socket pcmcia_core uhci_hcd ehci_hcd snd_intel8x0m snd_intel8x0
snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi
snd_seq_device snd soundcore e100 mii ext3 jbd
CPU:    0
EIP:    0060:[<22b16619>]    Not tainted VLI
EFLAGS: 00013246   (2.6.8-1.584)
EIP is at i915_irq_install+0xcb/0x213 [i915]
eax: 00000000   ebx: 22b207a0   ecx: 22b207dc   edx: 1a3f6000
esi: 22b20030   edi: 22b207a0   ebp: 22b207dc   esp: 1a3f6f2c
ds: 007b   es: 007b   ss: 0068
Process X (pid: 4329, threadinfo=1a3f6000 task=1a3e12b0)
Stack: 00000000 1a3f6f6c fee9c3b8 00000000 00000008 fee9c3b0 1a3f6f64
40086414
       0215d114 22b207a0 22b20030 219bca40 40086414 22b1685c 00000002
0000000b
       22b207a0 22b15e43 fee9c3b0 22b167ff 19c9e240 1989a11c 22b1fec0
40086414
Call Trace:
 [<0215d114>] get_user_size+0x30/0x57
 [<22b1685c>] i915_control+0x5d/0x80 [i915]
 [<22b15e43>] i915_ioctl+0xe3/0xef [i915]
 [<22b167ff>] i915_control+0x0/0x80 [i915]
 [<021786d3>] sys_ioctl+0x296/0x337
 [<02163e5c>] sys_write+0x3c/0x62
Code: <3>Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():0[expected: 0], irqs_disabled():1
 [<0211c809>] __might_sleep+0x7d/0x88
 [<0215c9c2>] rw_vm+0x216/0x482
 [<22b165ee>] i915_irq_install+0xa0/0x213 [i915]
 [<22b165ee>] i915_irq_install+0xa0/0x213 [i915]
 [<0215d114>] get_user_size+0x30/0x57
 [<22b165ee>] i915_irq_install+0xa0/0x213 [i915]
 [<0210682b>] show_registers+0x109/0x15e
 [<02106a2f>] die+0x14a/0x228
 [<021192d2>] do_page_fault+0x0/0x50d
 [<021192d2>] do_page_fault+0x0/0x50d
 [<02119683>] do_page_fault+0x3b1/0x50d
 [<22b16619>] i915_irq_install+0xcb/0x213 [i915]
 [<021c2370>] avc_has_perm+0x3f/0x49
 [<021192d2>] do_page_fault+0x0/0x50d
 [<22b16619>] i915_irq_install+0xcb/0x213 [i915]
 [<0215d114>] get_user_size+0x30/0x57
 [<22b1685c>] i915_control+0x5d/0x80 [i915]
 [<22b15e43>] i915_ioctl+0xe3/0xef [i915]
 [<22b15e43>] i915_ioctl+0xe3/0xef [i915]
 [<22b167ff>] i915_control+0x0/0x80 [i915]
 [<021786d3>] sys_ioctl+0x296/0x337
 [<02163e5c>] sys_write+0x3c/0x62
 Bad EIP value.



Version-Release number of selected component (if applicable):

kernel-2.6.8-1.584

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Torkar 2004-10-03 06:47:42 EDT
Same here [tm]. The exact same oops happens to me - It happens when the
xorg server starts up after a reboot.
Comment 2 Richard Torkar 2004-10-13 06:33:07 EDT
This is no longer the case with my laptop.

I did an upgrade to FC3T3 and now it works.

[xyz@ ~]$ rpm -qa | grep kernel
kernel-utils-2.4-13.1.28
kernel-2.6.8-1.607

[xyzr@ ~]$ rpm -qa | grep xorg-x11
xorg-x11-xauth-6.8.1-4
xorg-x11-libs-6.8.1-4
xorg-x11-twm-6.8.1-4
xorg-x11-deprecated-libs-6.8.1-4
xorg-x11-font-utils-6.8.1-4
xorg-x11-tools-6.8.1-4
xorg-x11-Mesa-libGL-6.8.1-4
xorg-x11-xfs-6.8.1-4
xorg-x11-devel-6.8.1-4
xorg-x11-Mesa-libGLU-6.8.1-4
xorg-x11-6.8.1-4
Comment 3 Trond Eivind Glomsrød 2004-10-21 04:07:39 EDT
This has not occured for two weeks with 1.607 and up - closing.

Note You need to log in before you can comment on or make changes to this bug.